# Investigation History List

| **API URL**     | {{url}}/spice-service/investigation/history-list  |
| --------------- | ------------------------------------------------- |
| **Method**      | POST                                              |
| **Description** | Get the lab test investigation history of patient |

#### **Input:** <a href="#investigationhistorylist-v2-input" id="investigationhistorylist-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| patientReference       | Bigint   | Yes           | Patient Reference                                                                                                                       |
| requestFrom            | String   | Yes           | SIERRA\_LEONE                                                                                                                           |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#investigationhistorylist-v2-sampleinput" id="investigationhistorylist-v2-sampleinput"></a>

{\
"patientReference": "760",\
"requestFrom": "SIERRA\_LEONE"\
}

#### **Output:** <a href="#investigationhistorylist-v2-output" id="investigationhistorylist-v2-output"></a>

| **Field Name**   | **Type** | **Example**                                        |
| ---------------- | -------- | -------------------------------------------------- |
| message          | String   | Fetched Investigation history details Successfully |
| encounterId      | Bigint   | Encounter Id                                       |
| dateOfReview     | Date     | Review date                                        |
| patientReference | Bigint   | Patient Reference                                  |
| history          | String   | History details                                    |
| Id               | Bigint   | History id                                         |
| date             | Date     | History date                                       |
| investigations   | String   | Investigation Details                              |
| id               | Bigint   | Investigation id                                   |
| testName         | String   | Test Name                                          |
| codeDetails      | String   | Code details of the test                           |
| status           | Boolean  | Response status                                    |

#### **Sample Output:** <a href="#investigationhistorylist-v2-sampleoutput" id="investigationhistorylist-v2-sampleoutput"></a>

```
{
  "message": "Fetched Investigation history details Successfully.",
  "entity": {
    "encounterId": "766",
    "dateOfReview": "2025-01-20T06:50:22+00:00",
    "patientReference": "760",
    "history": [
      {
        "date": "2025-01-20T06:50:22+00:00",
        "id": "766"
      }
    ],
    "investigations": [
      {
        "id": "768",
        "testName": "Blood pressure",
        "testedOn": null,
        "recommendedBy": "11",
        "recommendedName": "Leon Pro",
        "recommendedOn": "2025-01-20T06:49:34+00:00",
        "patientId": "760",
        "labTestResults": null,
        "codeDetails": null,
        "labTestCustomization": null,
        "comments": null,
        "roleName": null,
        "isReview": null,
        "resultUpdatedBy": null
      }
    ]
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/investigation/investigation-history-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
